function [L, Thx, Thy, Thz] = DlugoscKatElementPretowy3D(x1,y1,z1,x2,y2,z2)
%funkcja wyznacza dlugosc L i katy nachylenia elementu pretowego 3D
%na podstawie wspolrzednych jego wezlow (katy w stopniach)
v1 = [x2-x1; y2-y1; z2-z1];
L = norm(v1);
Thx = acos(dot(v1./L,[1;0;0]))*180/pi;
Thy = acos(dot(v1./L,[0;1;0]))*180/pi;
Thz = acos(dot(v1./L,[0;0;1]))*180/pi;
