function y = SztywnoscElementPretowy3D(E,A,L,Thx,Thy,Thz)
%funkcja tworzy macierz sztywnosci dla pojedynczego elementu pretowego 3D
%katy theta podajemy w stopniach
%wymiar wyniku : 6x6
x = Thx*pi/180;
u = Thy*pi/180;
v = Thz*pi/180;
Cx = cos(x);
Cy = cos(u);
Cz = cos(v);
w = [Cx*Cx Cx*Cy Cx*Cz ; Cy*Cx Cy*Cy Cy*Cz ; Cz*Cx Cz*Cy Cz*Cz];
y = E*A/L*[w -w ; -w w];